4Suite™ API Documentation

# ► Module Ft.Rdf.Drivers

RDF model drivers for various databases
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: PROPERTIES |  |  |  | Functions: SetDriver

## Modules

BerkeleyDB | A persistent RDF model driver using Berkeley (BSD) database files
BerkeleyDBTxnTable |
DataBaseExceptions | Exception classes used by database drivers
Dbm | A persistent RDF model driver using the Memory driver, but pickling to the file system
Memory | A non-persistent RDF model driver
MetaKit | A persistent RDF model driver using MetaKit database files
MySQL | A persistent RDF model driver using MySQL with InnoDB
Odbc | A persistent RDF model driver using the pywin32 odbc driver
Oracle | A persistent RDF model driver using Oracle
Postgres | A persistent RDF model driver using the PygreSQL adapter to PostgreSQL
Psyco | A persistent RDF model driver using the PsycoPG adapter for PostgreSQL
SQL | Routines for RDF drivers that use ANSI SQL databases (MySQL, Postgres, maybe others)

## Classes

class PROPERTIES

### Fields

OBJECT_TYPE_SUPPORTED = 1

## Functions

SetDriver(driverName)